package info.bukova.isspst.ui.addressbook;

import info.bukova.isspst.data.Address;
import info.bukova.isspst.filters.AddressFilter;
import info.bukova.isspst.services.addressbook.AdbService;
import info.bukova.isspst.ui.ListViewModel;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class AddressList extends ListViewModel<Address> {
	
	@WireVariable
	private AdbService adbService;

	@Init
	public void init() {
		service = adbService;
		dataClass = Address.class;
		formZul = "address.zul";
		dataFilter = new AddressFilter(getFilterTemplate());
		
	}
 
}
